? work
Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/courier-authlib/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- Makefile	15 Dec 2009 22:10:38 -0000	1.34
+++ Makefile	15 Mar 2010 21:04:55 -0000
@@ -2,8 +2,7 @@
 
 .include "Makefile.common"
 
-DISTNAME=	courier-authlib-0.62.2
-PKGREVISION=	1
+DISTNAME=	courier-authlib-0.63.0
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=courier/}
 EXTRACT_SUFX=	.tar.bz2
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/security/courier-authlib/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	2 Jul 2009 12:23:44 -0000	1.13
+++ distinfo	15 Mar 2010 21:04:55 -0000
@@ -1,7 +1,7 @@
 $NetBSD: distinfo,v 1.13 2009/07/02 12:23:44 obache Exp $
 
-SHA1 (courier-authlib-0.62.2.tar.bz2) = dc495ad6c54c271483d4862e09788621d86629a9
-RMD160 (courier-authlib-0.62.2.tar.bz2) = c0f4f32994056f8034f30055cfe55238d137a2ca
-Size (courier-authlib-0.62.2.tar.bz2) = 2233216 bytes
-SHA1 (patch-aa) = 6984af03cce59cee3987526d5c87bb71c8eac635
-SHA1 (patch-ab) = 0f3d86e9bd296c9abc044917656495fd8584bc08
+SHA1 (courier-authlib-0.63.0.tar.bz2) = c0877274de8b58ec4c7a41cfd87ad9b37c408304
+RMD160 (courier-authlib-0.63.0.tar.bz2) = 4528672a11895c9d705340523e578284e40b5dea
+Size (courier-authlib-0.63.0.tar.bz2) = 2817119 bytes
+SHA1 (patch-aa) = aba8c500f3998c1f3d683c384e94c84356120374
+SHA1 (patch-ab) = a3d5f5cba53e8eb2010df1dc00c135ad1b674ac7
Index: patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/security/courier-authlib/patches/patch-aa,v
retrieving revision 1.7
diff -u -r1.7 patch-aa
--- patches/patch-aa	2 Jul 2009 12:23:44 -0000	1.7
+++ patches/patch-aa	15 Mar 2010 21:04:55 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-aa,v 1.7 2009/07/02 12:23:44 obache Exp $
 
---- Makefile.in.orig	2009-02-03 23:39:56.000000000 +0000
-+++ Makefile.in
-@@ -453,7 +453,7 @@ CLEANFILES = authldaprc.h authmysqlrc.h 
+--- Makefile.in.orig	2009-12-25 21:53:45.000000000 +0000
++++ Makefile.in	2010-03-15 11:50:28.000000000 +0000
+@@ -511,7 +511,7 @@
  
  DISTCLEANFILES = dbobj.config README_authlib.html
  commonlibdep = libcourierauthcommon.la
@@ -11,7 +11,7 @@
  commonlibadd = libcourierauthcommon.la
  libcourierauthcommon_t = @CRYPTLIBS@
  libcourierauthcommon_la_SOURCES = \
-@@ -468,7 +468,7 @@ libcourierauthcommon_la_SOURCES = \
+@@ -527,7 +527,7 @@
  
  libcourierauthcommon_la_DEPENDENCIES = libcourierauth.la
  libcourierauthcommon_la_LIBADD = libcourierauth.la
@@ -20,7 +20,7 @@
  libcourierauth_la_SOURCES = authdaemon.c authdaemonlib.c preauthdaemon.c \
  	authmoduser2.c authmoduser3.c debug.c \
  	courierauthdebug.h \
-@@ -477,7 +477,7 @@ libcourierauth_la_SOURCES = authdaemon.c
+@@ -536,7 +536,7 @@
  libcourierauth_la_LIBADD = libhmac/libhmac.la md5/libmd5.la sha1/libsha1.la numlib/libnumlib.la \
  	random128/librandom128.la rfc822/libencode.la
  
@@ -29,7 +29,7 @@
  
  # The userdb module
  libauthuserdb_t = userdb/libuserdb.la @dblibrary@ @LIBGDBM@ @LIBDB@
-@@ -569,7 +569,7 @@ libcourierauthsasl_la_SOURCES = \
+@@ -629,7 +629,7 @@
  	authsaslfrombase64.c authsasltobase64.c
  
  libcourierauthsasl_la_LIBADD = libcourierauth.la
@@ -38,7 +38,7 @@
  libcourierauthsaslclient_la_SOURCES = courierauthsaslclient.h \
  	authsaslclient.c authsaslclient.h authsaslclientcram.c \
  	authsaslclientcrammd5.c authsaslclientcramsha1.c \
-@@ -578,7 +578,7 @@ libcourierauthsaslclient_la_SOURCES = co
+@@ -638,7 +638,7 @@
  	authsaslfrombase64.c authsasltobase64.c
  
  libcourierauthsaslclient_la_LIBADD = libcourierauth.la
@@ -47,7 +47,7 @@
  include_HEADERS = courier_auth_config.h courierauth.h courierauthsasl.h \
  	courierauthsaslclient.h courierauthdebug.h
  
-@@ -609,9 +609,9 @@ authdaemondprog_DEPENDENCIES = libcourie
+@@ -669,9 +669,9 @@
  
  authdaemondprog_LDADD = $(LIBLTDL) libcourierauthcommon.la liblock/liblock.la \
  	libhmac/libhmac.la md5/libmd5.la sha1/libsha1.la \
@@ -59,7 +59,7 @@
  authdaemontest_SOURCES = authdaemontest.c
  authdaemontest_DEPENDENCIES = libcourierauthcommon.la
  authdaemontest_LDADD = libcourierauthcommon.la @NETLIBS@
-@@ -1517,14 +1517,14 @@ uninstall-man: uninstall-man1 uninstall-
+@@ -1689,14 +1689,14 @@
  authpgsqllib.lo: authpgsqllib.c authpgsqlrc.h
  
  @HAVE_AUTHPGSQL_TRUE@install-authpgsqlrc:
@@ -79,7 +79,7 @@
  
  @HAVE_AUTHPGSQL_FALSE@install-authpgsqlrc:
  @HAVE_AUTHPGSQL_FALSE@	@:
-@@ -1533,19 +1533,19 @@ authpgsqllib.lo: authpgsqllib.c authpgsq
+@@ -1705,19 +1705,19 @@
  @HAVE_AUTHPGSQL_FALSE@	@:
  
  authpgsqlrc.h:
@@ -105,7 +105,7 @@
  
  @HAVE_LDAP_FALSE@install-authldaprc:
  @HAVE_LDAP_FALSE@	@:
-@@ -1554,19 +1554,19 @@ authldaplib.lo: authldaplib.c authldaprc
+@@ -1726,19 +1726,19 @@
  @HAVE_LDAP_FALSE@	@:
  
  authldaprc.h:
@@ -131,7 +131,7 @@
  
  @HAVE_AUTHMYSQL_FALSE@install-authmysqlrc:
  @HAVE_AUTHMYSQL_FALSE@	@:
-@@ -1575,27 +1575,27 @@ authmysqllib.lo: authmysqllib.c authmysq
+@@ -1747,27 +1747,27 @@
  @HAVE_AUTHMYSQL_FALSE@	@:
  
  authmysqlrc.h:
@@ -168,7 +168,7 @@
  	echo "#define AUTHDAEMONPID AUTHDAEMONVAR \"/pid\"" >>authdaemonrc.h
  	echo "#define AUTHDAEMONSOCK AUTHDAEMONVAR \"/socket\"" >>authdaemonrc.h
  	echo "#define AUTHDAEMONLOCK AUTHDAEMONVAR \"/lock\"" >>authdaemonrc.h
-@@ -1613,20 +1613,20 @@ authchangepwdir.h: config.status
+@@ -1785,20 +1785,20 @@
  	echo '#define AUTHCHANGEPWDIR "$(pkglibexecdir)"' >authchangepwdir.h
  
  sbindir.h: config.status
@@ -193,7 +193,7 @@
  
  dist-hook:
  	for f in $(BUILT1) ; do rm -f $(distdir)/$$f; done
-@@ -1642,10 +1642,10 @@ install-exec-hook:
+@@ -1814,10 +1814,10 @@
  	$(mkinstalldirs) $(DESTDIR)$(sbindir) || :
  	$(mkinstalldirs) $(DESTDIR)$(pkglibexecdir) || :
  	$(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) authdaemondprog $(DESTDIR)$(pkglibexecdir)/authdaemond
@@ -208,7 +208,7 @@
  	test "@LIBAUTHUSERDB@" = "" && exit 0 ;\
  		$(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) makedat/makedatprog \
  				$(DESTDIR)$(pkglibexecdir)/makedatprog ; \
-@@ -1659,7 +1659,6 @@ install-exec-hook:
+@@ -1831,7 +1831,6 @@
  				$(DESTDIR)$(sbindir)/userdbpw ; \
  		$(INSTALL_SCRIPT) userdb-test-cram-md5.pl \
  				$(DESTDIR)$(sbindir)/userdb-test-cram-md5
@@ -216,7 +216,7 @@
  
  uninstall-hook: uninstall-authldaprc uninstall-authdaemonrc uninstall-authmysqlrc uninstall-authpgsqlrc
  	rm -f $(DESTDIR)$(pkglibexecdir)/authdaemond
-@@ -1751,13 +1750,13 @@ README_authlib.html: README_authlib.html
+@@ -1930,13 +1929,13 @@
  authdaemond.o: authdaemonrc.h authdaemond.c
  
  install-migrate: authmigrate
Index: patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/security/courier-authlib/patches/patch-ab,v
retrieving revision 1.6
diff -u -r1.6 patch-ab
--- patches/patch-ab	2 Jul 2009 12:23:44 -0000	1.6
+++ patches/patch-ab	15 Mar 2010 21:04:55 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ab,v 1.6 2009/07/02 12:23:44 obache Exp $
 
---- configure.orig	2009-02-03 23:39:55.000000000 +0000
-+++ configure
-@@ -23578,7 +23578,7 @@ done
+--- configure.orig	2009-12-25 21:53:45.000000000 +0000
++++ configure	2010-03-15 11:50:34.000000000 +0000
+@@ -17617,7 +17617,7 @@
  test -n "$PG_CONFIG" || PG_CONFIG="pg_config"
  
  
@@ -11,7 +11,7 @@
  
  # Check whether --with-pgsql-libs was given.
  if test "${with_pgsql_libs+set}" = set; then
-@@ -25365,7 +25365,7 @@ rm -f authdaemonrc.h authldaprc.h authmy
+@@ -19439,7 +19439,7 @@
  
  result=""
  
@@ -20,7 +20,7 @@
  then
  	$COURIERCONFIG >conftest.out || exit 1
  	sed -n '/^mail/p' <conftest.out >conftest2.out || exit 1
-@@ -25377,7 +25377,7 @@ then
+@@ -19451,7 +19451,7 @@
  	result=" (from courier-config)"
  fi
  
